using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using UnityEngine;

public static class LiquidType
{
    public static float MaxFill = 0.8f;
    public static float MinFill = 0.8f;
    private static float max_f = 0f;
    private static float min_f = 0f;

    public static void SetCurrType(string CurrType)
    {
        switch (CurrType)
        {
            case "beer_cup":
                MinFill = 0.70f;
                MaxFill = 0.40f;
                break;
            case "soju_cup":
                MinFill = 0.55f;
                MaxFill = 0.10f;
                break;
            case "cocktail_cup":
                MinFill = 0.70f;
                MaxFill = 0.40f;
                break;
            case "wine_cup":
                MinFill = 0.70f;
                MaxFill = 0.40f;
                break;
            case "whiskey_cup":
                MinFill = 0.60f;
                MaxFill = 0.18f;
                break;
            case "beer_bottle":
                MinFill = 0.75f;
                MaxFill = 0.5f;
                break;
            case "soju_bottle":
                MinFill = 0.74f;
                MaxFill = 0.5f;
                break;
            case "wine_bottle":
                MinFill = 0.88f;
                MaxFill = 0.78f;
                break;
            case "plastic_bottle":
                MinFill = 0.78f;
                MaxFill = 0.6f;
                break;
            case "blackjack_bottle":
                MinFill = 0.78f;
                MaxFill = 0.6f;
                break;
            default:
                //float height = 0.50f - ((0.17f * CurrScale) * value);
                MinFill = 0.50f;
                MaxFill = 0.17f;
                break;
        }

        //MinFill += min_f;
        //MaxFill += max_f;

        //SuperController.LogMessage("MinFill " + MinFill + " MaxFill " + MaxFill);
    }

    public static void UpdateLiquidHeightAround(float angle)
    {
        float value = angle / 180f;
        min_f = 0.3f * value;
        max_f = MaxFill * value;


        //  45.00001 0.07500001 0.04750001
        //  0 0 0

        //SuperController.LogMessage(angle + " " + min_f + " " + max_f);
    }
}